Attend XDA's Second Annual Developer Conference, XDA:DevCon 2014!
5,728,708 Members 52,870 Now Online
XDA Developers Android and Mobile Development Forum

[KITCHEN] ArchiKitchen - Android Kitchen (WIP) [Linux]

Tip us?
 
bombaybadboy
Old
#1221  
bombaybadboy's Avatar
Recognized Contributor
Thanks Meter 17165
Posts: 7,416
Join Date: Apr 2012
Location: wolverhampton
Quote:
Originally Posted by ShinySide View Post
Ive never had this happen when doing a M919 rom, but was bored and messing with an i9505 rom (works on my device) and know theres a few i9505 users that use AK

Have any of you gotten this when extracting?

 

Converting sparse image to image...
Mounting converted image...
Root access is required! mount -t auto -o loop PROJECT_072014_230134/cache.img /tmp/ArchiKitchenLOOP
Success!
Found common Samsung sec_csc.zip file, extracting it and merging with the project
Root access is required! unzip -q /tmp/ArchiKitchenLOOP/recovery/sec_csc.zip -d PROJECT_072014_230134/
replace PROJECT_072014_230134/system/app/ChatONV_J.apk? [y]es, [n]o, [A]ll, [N]one, [r]ename: y
replace PROJECT_072014_230134/system/app/ChatON_feature.apk? [y]es, [n]o, [A]ll, [N]one, [r]ename: y
replace PROJECT_072014_230134/system/app/Dropbox.apk? [y]es, [n]o, [A]ll, [N]one, [r]ename: y
replace PROJECT_072014_230134/system/app/DropboxOOBE.apk? [y]es, [n]o, [A]ll, [N]one, [r]ename: y
replace PROJECT_072014_230134/system/framework/com.dropboxpartner.jar? [y]es, [n]o, [A]ll, [N]one, [r]ename: y
replace PROJECT_072014_230134/system/media/audio/ui/PowerOn.ogg? [y]es, [n]o, [A]ll, [N]one, [r]ename: y
replace PROJECT_072014_230134/system/media/bootsamsung.qmg? [y]es, [n]o, [A]ll, [N]one, [r]ename: y
replace PROJECT_072014_230134/system/priv-app/CloudAgent.apk? [y]es, [n]o, [A]ll, [N]one, [r]ename: y





I reeally dont care about the apps I delete them anyways but found it weird Ive never gotten it before
Seen it on i9500 a couple of times but first time i have noticed dropbox on the list. I just press n and dont replace. Doesnt always happen tho

Sent from my GT-I9500 using Tapatalk 2
The Following User Says Thank You to bombaybadboy For This Useful Post: [ Click to Expand ]
 
Kung Fu monkey
Old
#1222  
Kung Fu monkey's Avatar
Senior Member
Thanks Meter 264
Posts: 590
Join Date: Jun 2013
Hello,
When I try to zipalign, it says zipalign finished but when i checck the status it say say
"Zipaligned? ./archi: line 1115: ./tools/zipalign/amd64/zipalign: Bo such file or directory
[NO]"
But it checked the directory, there is a file called zipalign.

How should i fix this?


ROM for Samsung Galaxy S4 GT-I9500
 
carl1961
Old
#1223  
carl1961's Avatar
Senior Member
Thanks Meter 3433
Posts: 4,598
Join Date: Dec 2010
Location: Tickfaw
Quote:
Originally Posted by Kung Fu monkey View Post
Hello,
When I try to zipalign, it says zipalign finished but when i checck the status it say say
"Zipaligned? ./archi: line 1115: ./tools/zipalign/amd64/zipalign: Bo such file or directory
[NO]"
But it checked the directory, there is a file called zipalign.

How should i fix this?
I see this as well

line 1115 of archi reads:

echo -n "Zipaligned? "
if [[ -f "$ACTIVE_PROJECT/system/framework/framework-res.apk" && "$("$ZIPALIGN" -c "$ALIGN" "$ACTIVE_PROJECT/system/framework/framework-res.apk"; echo $?)" -eq 0 ]]; then
echo "[YES]"
else
echo "[NO]"

maybe that means not to zipalin framework-res.apk I now in the old days they said not to zipalin certain files
 
ShinySide
Old
#1224  
ShinySide's Avatar
Senior Member
Thanks Meter 1474
Posts: 1,163
Join Date: Nov 2013
Location: IHB
Quote:
Originally Posted by Kung Fu monkey View Post
Hello,
When I try to zipalign, it says zipalign finished but when i checck the status it say say
"Zipaligned? ./archi: line 1115: ./tools/zipalign/amd64/zipalign: Bo such file or directory
[NO]"
But it checked the directory, there is a file called zipalign.

How should i fix this?
Every time someone doesn't read the OP Archi throws a puppy off a cliff. Please help us save the puppies.

Quote:
Originally Posted by JustArchi View Post

ArchiKitchen Troubleshooting

Q: It looks like something is wrong with zipalign command. I can notice errors like "./zipalign: No such file or directory"
A: This is because zipalign is x86 binary (32-bit), while you have amd64 (64-bit) Linux. Therefore, we must install some missing core packages to properly support x86 binaries. This will do the trick:
Code:
apt-get install lib32stdc++6 lib32z1


Sent from my SGH-M919 using XDA Premium 4 mobile app
Donations Accepted here


Don't change your wants or where you want to be just because the other has.
The Following 4 Users Say Thank You to ShinySide For This Useful Post: [ Click to Expand ]
 
carl1961
Old
#1225  
carl1961's Avatar
Senior Member
Thanks Meter 3433
Posts: 4,598
Join Date: Dec 2010
Location: Tickfaw
Quote:
Originally Posted by ShinySide View Post
Every time someone doesn't read the OP Archi throws a puppy off a cliff. Please help us save the puppies.





Sent from my SGH-M919 using XDA Premium 4 mobile app
and I read that a dozen times, I'll go and hurry up and catch that there puppy
 
Captain_Throwback
Old
#1226  
Captain_Throwback's Avatar
Retired Moderator / Recognized Contributor
Thanks Meter 8623
Posts: 10,038
Join Date: Aug 2008
Location: Bensalem, PA

 
DONATE TO ME
@JustArchi

Any chance you can update your root script to reflect the most recent changes in Chainfire's SuperSU zip?

In his update binary, he creates a few files that are left out from the ArchiKitchen script, in cases where the ROM is KitKat or newer. These changes prevent bootloops when flashing ROMs on HTC devices.
Device 1: HTC One (M8)/831C | Hardware Version: 0005

Baseband: 1.08.20.0612_4 | PRI: 2.62_003 | PRL: 56019
Recovery: TWRP 2.7.1.0

Device 2: HTC Jewel/PJ75100 (EVO 4G LTE) | Hardware Version: 0003

Baseband: 1.13.11.1105 | PRI: 3.02_003 | PRL: 56018
Recovery: TWRP 2.7.1.0b

Device 3: HTC Shooter/PG86100 (EVO 3D) | Hardware Version: 0002
Baseband: 1.09.00.0108 | PRI: 1.55_003 | PRL: 22100
Recovery: TWRP 2.6.3.0

Device 4: HTC Supersonic/PC36100 (EVO 4G) | Hardware Version: 0004
Baseband: 2.15.00.01.15 | PRI: 2.33_003 | PRL: 40460
Recovery: TWRP 2.7.1.0
 
JustArchi
Old
#1227  
JustArchi's Avatar
Recognized Contributor / Recognized Developer - OP
Thanks Meter 20477
Posts: 6,379
Join Date: Mar 2013
Location: Warsaw

 
DONATE TO ME
Quote:
Originally Posted by Captain_Throwback View Post
@JustArchi

Any chance you can update your root script to reflect the most recent changes in Chainfire's SuperSU zip?

In his update binary, he creates a few files that are left out from the ArchiKitchen script, in cases where the ROM is KitKat or newer. These changes prevent bootloops when flashing ROMs on HTC devices.
Sure thing, I'll look at that soon.
The Following 2 Users Say Thank You to JustArchi For This Useful Post: [ Click to Expand ]
 
JustArchi
Old
#1228  
JustArchi's Avatar
Recognized Contributor / Recognized Developer - OP
Thanks Meter 20477
Posts: 6,379
Join Date: Mar 2013
Location: Warsaw

 
DONATE TO ME
Quote:
Originally Posted by Captain_Throwback View Post
@JustArchi

Any chance you can update your root script to reflect the most recent changes in Chainfire's SuperSU zip?

In his update binary, he creates a few files that are left out from the ArchiKitchen script, in cases where the ROM is KitKat or newer. These changes prevent bootloops when flashing ROMs on HTC devices.
I pushed updated root method and fixed loop device problem mentioned some pages before. Please test if it works correctly now.

However, I doubt that it's required, since I have /system/xbin/su --install already and it should fix any incompatibilities.
The Following 2 Users Say Thank You to JustArchi For This Useful Post: [ Click to Expand ]
 
Captain_Throwback
Old
#1229  
Captain_Throwback's Avatar
Retired Moderator / Recognized Contributor
Thanks Meter 8623
Posts: 10,038
Join Date: Aug 2008
Location: Bensalem, PA

 
DONATE TO ME
Quote:
Originally Posted by JustArchi View Post
I pushed updated root method and fixed loop device problem mentioned some pages before. Please test if it works correctly now.

However, I doubt that it's required, since I have /system/xbin/su --install already and it should fix any incompatibilities.
Thanks. Unfortunately that install line isn't enough on some devices.
Device 1: HTC One (M8)/831C | Hardware Version: 0005

Baseband: 1.08.20.0612_4 | PRI: 2.62_003 | PRL: 56019
Recovery: TWRP 2.7.1.0

Device 2: HTC Jewel/PJ75100 (EVO 4G LTE) | Hardware Version: 0003

Baseband: 1.13.11.1105 | PRI: 3.02_003 | PRL: 56018
Recovery: TWRP 2.7.1.0b

Device 3: HTC Shooter/PG86100 (EVO 3D) | Hardware Version: 0002
Baseband: 1.09.00.0108 | PRI: 1.55_003 | PRL: 22100
Recovery: TWRP 2.6.3.0

Device 4: HTC Supersonic/PC36100 (EVO 4G) | Hardware Version: 0004
Baseband: 2.15.00.01.15 | PRI: 2.33_003 | PRL: 40460
Recovery: TWRP 2.7.1.0

The Following User Says Thank You to Captain_Throwback For This Useful Post: [ Click to Expand ]
Tags
dsixda kitchen justarchi android chef
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes